#!/usr/bin/env ruby

puts 'hello'        # hello 
puts %q/hello/      # hello 
puts %q(hello)      # hello 

puts 'hell\\o'      #  hell\o  
puts %q(hell\\o)    #  hell\o  

puts 'hell\'o'      # hell'o  
puts %q(hell\'o)    # hell\'o  
puts 'hel"l"o'      # hel"l"o 

puts "hello"
puts %Q/hello/
puts %Q!hello!
puts %Q{hello}
puts %Q(hello)
puts %Q!hello!
puts %<hello>
puts %!hello!
puts %*hello*
puts %+hello+
puts %(hello)

puts "Say \"Hello\""   #  Say "Hello"  
puts "Say 'Hello'"     #  Say 'Hello' 

puts "a \t b"
puts 'a \t b'
puts " 3*5+8   #{3*5+8}"
puts ' 3*5+8   #{3*5+8}'
puts "   : 5/8 = #{5/8}"
puts "   Float: 5/8 = #{5/8.to_f}"

puts "-12.34".to_i
puts "12.34".to_f
puts "+12:34".to_i
puts "12qq34".to_f

puts 209.chr

puts "123456789".reverse
puts "  123       "
puts "  123  ".strip 
puts "---22--23****".squeeze('*-')
puts "---22--23****".squeeze

puts "  ,   - ".tr('','')
puts "22+33=55".tr('25','47')

puts "abcdef"[0].chr
puts "abcdef".chop
puts "abcdef".chop.chop
puts "abcdef".delete("ea")
puts "abcdef".delete('a-c')
puts "abcdefabcdef".length
puts "12345678".size

puts "ABCDEF".downcase
puts "abcdef".index("cd")
puts "abcdefabcdef".index("cd",3)

a="12345"
puts "12345"[3].chr
puts  "12345"[0..3]
puts  "12345"[0,3]

puts  "".capitalize #     !
puts "abcdabcd".index("cd",3)
puts "*"+"123".ljust(9)+"*"
puts "*"+"123".center(9)+"*"
puts "*"+"123".rjust(9)+"*"

puts (eval "2**10")
puts (eval '"".size * "".size') 

=begin
s="2*3+4"
puts s
puts "#{s}"
puts eval(s)
puts eval s

puts s.eval # !   

print " :"
eval gets.chop!
=end
